## org.eclipse.emf.compare.epatch.applier
Class CopyingEpatchApplier

    java.lang.Object
      org.eclipse.emf.compare.epatch.applier.CopyingEpatchApplier

    public class CopyingEpatchApplier

extends java.lang.Object

Nested Class Summary
`class` `CopyingEpatchApplier.TriMap`

Field Summary
`protected EpatchApplyStrategy` `dir`
`protected Epatch` `epatch`
`protected java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource>` `imports`
`protected java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource>` `inputResources`
`protected java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource>` `outputResources`
`protected org.eclipse.emf.ecore.resource.ResourceSet` `outputResourceSet`
`protected ApplyStrategy` `strategy`
`protected EpatchMapping` `triMap`

Constructor Summary
`CopyingEpatchApplier(ApplyStrategy strategy, Epatch epatch, java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource> imports, java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> inputResources, org.eclipse.emf.ecore.resource.ResourceSet outputResourceSet)`
`CopyingEpatchApplier(ApplyStrategy strategy, Epatch epatch, java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> inputResources, org.eclipse.emf.ecore.resource.ResourceSet inputResourceSet)`
`CopyingEpatchApplier(ApplyStrategy strategy, Epatch epatch, org.eclipse.emf.ecore.resource.ResourceSet inputResourceSet)`

Method Summary
`void` `apply()`
`protected void` `copyFeatures()`
`protected void` `createOutputResources()`
`protected org.eclipse.emf.ecore.resource.ResourceSet` `createOutputResourceSet(org.eclipse.emf.ecore.resource.ResourceSet base)`
`protected java.lang.Object` `getAssignmentValue(org.eclipse.emf.ecore.EStructuralFeature feat, AssignmentValue val)`
`protected org.eclipse.emf.ecore.EObject` `getDestObject(org.eclipse.emf.ecore.EObject src, NamedObject ptc, boolean init)`
`protected org.eclipse.emf.ecore.EObject` `getEObject(CreatedObject obj)`
`protected org.eclipse.emf.ecore.EObject` `getEObject(NamedResource res, java.lang.String fragment)`
`Epatch` `getEpatch()`
`protected org.eclipse.emf.ecore.resource.Resource` `getImport(ModelImport imp)`
`EpatchMapping` `getMap()`
`org.eclipse.emf.ecore.resource.ResourceSet` `getOutputResourceSet()`
`protected boolean` `isExternal(org.eclipse.emf.ecore.EObject obj)`
`protected void` `mapAddedObject(CreatedObject o)`
`protected void` `mapModifiedObject(org.eclipse.emf.ecore.EObject src, ObjectRef obj)`
`protected void` `mapObjects()`
`protected void` `mapRemovedObject(CreatedObject o)`
`protected java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource>` `matchImports(org.eclipse.emf.ecore.resource.ResourceSet rs)`
`protected org.eclipse.emf.ecore.resource.Resource` `matchImports(org.eclipse.emf.ecore.resource.ResourceSet rs, ModelImport imp)`
`protected boolean` `matchResource(NamedResource res, org.eclipse.emf.ecore.resource.Resource resources)`
`protected org.eclipse.emf.ecore.resource.Resource` `matchResource(NamedResource res, org.eclipse.emf.ecore.resource.ResourceSet resources)`
`protected java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource>` `matchResources(org.eclipse.emf.ecore.resource.ResourceSet input)`
`protected org.eclipse.emf.ecore.EObject` `objectClone(org.eclipse.emf.ecore.EObject obj)`
`protected void` `objectClone(org.eclipse.emf.ecore.EObject src, org.eclipse.emf.ecore.EObject dst)`
`protected void` `objectCloneFeature(org.eclipse.emf.ecore.EObject src, org.eclipse.emf.ecore.EObject dst, org.eclipse.emf.ecore.EStructuralFeature f)`
`protected java.lang.Object` `objectCopyValue(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object src)`
`protected void` `objectCreate(org.eclipse.emf.ecore.EObject dst, NamedObject ptc)`
`protected void` `objectModify(org.eclipse.emf.ecore.EObject src, org.eclipse.emf.ecore.EObject dst, NamedObject ptc)`
`protected void` `objectModifyMergeLists(org.eclipse.emf.ecore.EStructuralFeature fest, org.eclipse.emf.common.util.EList<java.lang.Object> src, org.eclipse.emf.common.util.EList<java.lang.Object> dst, ListAssignment ass)`
`protected void` `printMaps()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dir

    protected EpatchApplyStrategy dir

### epatch

    protected Epatch epatch

### imports

    protected java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource> imports

### inputResources

    protected java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> inputResources

### outputResources

    protected java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> outputResources

### outputResourceSet

    protected org.eclipse.emf.ecore.resource.ResourceSet outputResourceSet

### strategy

    protected ApplyStrategy strategy

### triMap

    protected EpatchMapping triMap

Constructor Detail

### CopyingEpatchApplier

    public CopyingEpatchApplier(ApplyStrategy strategy,
                                Epatch epatch,
                                java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource> imports,
                                java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> inputResources,
                                org.eclipse.emf.ecore.resource.ResourceSet outputResourceSet)

### CopyingEpatchApplier

    public CopyingEpatchApplier(ApplyStrategy strategy,
                                Epatch epatch,
                                java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> inputResources,
                                org.eclipse.emf.ecore.resource.ResourceSet inputResourceSet)

### CopyingEpatchApplier

    public CopyingEpatchApplier(ApplyStrategy strategy,
                                Epatch epatch,
                                org.eclipse.emf.ecore.resource.ResourceSet inputResourceSet)

Method Detail

### apply

    public void apply()

### copyFeatures

    protected void copyFeatures()

### createOutputResources

    protected void createOutputResources()

### createOutputResourceSet

    protected org.eclipse.emf.ecore.resource.ResourceSet createOutputResourceSet(org.eclipse.emf.ecore.resource.ResourceSet base)

### getAssignmentValue

    protected java.lang.Object getAssignmentValue(org.eclipse.emf.ecore.EStructuralFeature feat,
                                                  AssignmentValue val)

### getDestObject

    protected org.eclipse.emf.ecore.EObject getDestObject(org.eclipse.emf.ecore.EObject src,
                                                          NamedObject ptc,
                                                          boolean init)

### getEObject

    protected org.eclipse.emf.ecore.EObject getEObject(CreatedObject obj)

### getEObject

    protected org.eclipse.emf.ecore.EObject getEObject(NamedResource res,
                                                       java.lang.String fragment)

### getEpatch

    public Epatch getEpatch()

### getImport

    protected org.eclipse.emf.ecore.resource.Resource getImport(ModelImport imp)

### getMap

    public EpatchMapping getMap()

### getOutputResourceSet

    public org.eclipse.emf.ecore.resource.ResourceSet getOutputResourceSet()

### isExternal

    protected boolean isExternal(org.eclipse.emf.ecore.EObject obj)

### mapAddedObject

    protected void mapAddedObject(CreatedObject o)

### mapModifiedObject

    protected void mapModifiedObject(org.eclipse.emf.ecore.EObject src,
                                     ObjectRef obj)

### mapObjects

    protected void mapObjects()

### mapRemovedObject

    protected void mapRemovedObject(CreatedObject o)

### matchImports

    protected java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource> matchImports(org.eclipse.emf.ecore.resource.ResourceSet rs)

### matchImports

    protected org.eclipse.emf.ecore.resource.Resource matchImports(org.eclipse.emf.ecore.resource.ResourceSet rs,
                                                                   ModelImport imp)

### matchResource

    protected boolean matchResource(NamedResource res,
                                    org.eclipse.emf.ecore.resource.Resource resources)

### matchResource

    protected org.eclipse.emf.ecore.resource.Resource matchResource(NamedResource res,
                                                                    org.eclipse.emf.ecore.resource.ResourceSet resources)

### matchResources

    protected java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> matchResources(org.eclipse.emf.ecore.resource.ResourceSet input)

### objectClone

    protected org.eclipse.emf.ecore.EObject objectClone(org.eclipse.emf.ecore.EObject obj)

### objectClone

    protected void objectClone(org.eclipse.emf.ecore.EObject src,
                               org.eclipse.emf.ecore.EObject dst)

### objectCloneFeature

    protected void objectCloneFeature(org.eclipse.emf.ecore.EObject src,
                                      org.eclipse.emf.ecore.EObject dst,
                                      org.eclipse.emf.ecore.EStructuralFeature f)

### objectCopyValue

    protected java.lang.Object objectCopyValue(org.eclipse.emf.ecore.EStructuralFeature feature,
                                               java.lang.Object src)

### objectCreate

    protected void objectCreate(org.eclipse.emf.ecore.EObject dst,
                                NamedObject ptc)

### objectModify

    protected void objectModify(org.eclipse.emf.ecore.EObject src,
                                org.eclipse.emf.ecore.EObject dst,
                                NamedObject ptc)

### objectModifyMergeLists

    protected void objectModifyMergeLists(org.eclipse.emf.ecore.EStructuralFeature fest,
                                          org.eclipse.emf.common.util.EList<java.lang.Object> src,
                                          org.eclipse.emf.common.util.EList<java.lang.Object> dst,
                                          ListAssignment ass)

### printMaps

    protected void printMaps()

Copyright 2006 IBM Corporation and others. All Rights Reserved.